## org.jboss.monitor
Class DynamicMonitor

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.monitor.DynamicMonitor

All Implemented Interfaces:
  DynamicMonitorMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, Service, ServiceMBean

public class DynamicMonitor
extends ServiceMBeanSupport
implements DynamicMonitorMBean

Version:
  $Revision: 1.1.2.1 $
Author:
  Bill Burke (bill@jboss.org)
See Also:
  `Monitorable`

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`DynamicMonitor()`

Method Summary
`java.lang.String` `getMonitoredAttributes()`
`java.lang.String` `getName()`
`java.util.HashMap` `monitoredAttributes()`
`java.lang.String` `monitoredAttributesHTML()`
`void` `setMonitoredAttributes(java.lang.String attrs)`

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getObjectName, getServer, getState, getStateString, init, initService, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicMonitor

    public DynamicMonitor()

Method Detail

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `ServiceMBeanSupport`

### getMonitoredAttributes

    public java.lang.String getMonitoredAttributes()

  Specified by:
    `getMonitoredAttributes` in interface `DynamicMonitorMBean`

### setMonitoredAttributes

    public void setMonitoredAttributes(java.lang.String attrs)

  Specified by:
    `setMonitoredAttributes` in interface `DynamicMonitorMBean`

### monitoredAttributesHTML

    public java.lang.String monitoredAttributesHTML()

  Specified by:
    `monitoredAttributesHTML` in interface `DynamicMonitorMBean`

### monitoredAttributes

    public java.util.HashMap monitoredAttributes()

  Specified by:
    `monitoredAttributes` in interface `DynamicMonitorMBean`

Copyright © 2000 The JBoss Organization. All Rights Reserved.